.include "m8def.inc"  				;  
									;
.def     Temp=R16  					;
.def     SubSecondCount=R17			; 
.def     Temp1=R18					;
.def     Temp2=R19					;
.def     Temp3=R20					;
.def     Temp4=R21					;
.def     LED=R22					;
.def     Sek=R23					;
.def     Min=R24					;
.def     Hour=R25					;


.cseg
.org 0

;************_   _************
			rjmp 	Reset			;
			nop						;
			nop						;
			nop						;
			nop						;
			nop						;
			nop						;
			nop						;
			nop						;
			rjmp TIMER0_OVF			;
									;         
Reset:    							;
;    	;
			ldi Temp, low(RAMEND)  	; 
           	out SPL, Temp  			; 
           	ldi Temp, high(RAMEND)  ; 
           	out SPH, Temp  			; 

			
			ser Temp				;        0
            out DDRB,Temp			;
			clr Temp				;
            out PORTB,Temp			;
   
            ldi Temp,4				;   256 
            out TCCR0,Temp			;     8      8192 
;     122,         256-122=134
			ldi	SubSecondCount, 134	;		
   
            ldi Temp,0b00000001   	;    0
            out TIMSK,Temp			;
	        sei 					;  
          							;
           	clr Sek					;
			clr Min					;
			clr Hour				;
									;
begin:								;
;  			;
;     ,    
; ,   ,  ,   
			sbi		PORTB,	0		; 
w1:			cpi		Sek,	1		;  1?
			brne	w1				; 
			cbi		PORTB,	0		;  
w2:			cpi		Sek,	2		;  2?
			brne	w2				; 
			sbi		PORTB,	0		; 
w3:			cpi		Sek,	3		;  3?
			brne	w3				; 
			cbi		PORTB,	0		;  
w4:			cpi		Sek,	4		;  4?
			brne	w4				; 
									;
;     ,       4 
;     
;    10  
			sbi		PORTB,	1		; 
w5:			cpi		Sek,	14		;
			brne	w5				;
			cbi		PORTB,	1		; 
									;
w6:			cpi		Sek,	0		;
			brne	w6				;
			cpi		Min,	0		;
			brne	w6				;
			cpi		Hour,	0		;
			brne	w6				;       -   
									;
;  -    
			rjmp	begin			;
;       
;     
;       ,     (  )
;       
;       
;      -    
;************_   _************
   
          
;************_   Timer0 overflow _************          
TIMER0_OVF: 
			push	Temp		;   
			push	r15			;   
			in		r15,	$3f	;  
			inc		SubSecondCount	;  
			cpi		SubSecondCount, 0
			brne	end			;,    
;    ,    
			ldi	SubSecondCount, 134	; 
			inc		Sek				; 
			cpi		Sek,	60		; 
			brne	end				;  - 
			clr		Sek				;  
			inc		Min				;  
			cpi		Min,	60		; 
			brne	end				;  - 
			clr		Min				;  
			inc		Hour			;  
			cpi		Hour,	24		; 
			brne	end				;  - 
			clr		Hour			;   (      )
									;
			;ldi		Temp,	1		;
			;eor		Led, 	Temp	;    -   
									;    -   
			
;   
end:		out		$3f,	r15		;  
			pop		r15				;
			pop		Temp			;
			reti					;
